Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/39829/?format=api
{ "ob_id": 39829, "uuid": "7a2a80d01dd645b2b14efb5647835c78", "title": "Sensor based ambient air concentration data for nitrogen dioxide and particles in Oxford, measured by the OxAria project 2020 to 2022.", "abstract": "This dataset contains raw and processed levels of nitrogen dioxide (NO2), particles (PM10 & PM2.5) in ambient air in Oxford, UK. These are derived from low cost sensor units located ...... The raw data is at 10-second intervals and the processed data is at 15-minute and 1-hour resolutions. The raw data is available in JSON format 2020 to 2022 and the processed data is available in CSV format Oct 2020 to Oct 2021. These data were collected for the OxAria project.\r\n\r\nThe Oxaria project is a Natural Environmental Research Council funded collaboration between the University of Birmingham and University of Oxford, supported by public and commercial partners. The project has applied advanced technological and environmental health expertise to understand the air and noise impacts of COVID-19 across Oxford City. See also https://oxaria.org.uk/ \r\n\r\nFor Project record: - The application of high-resolution sensing technology in this context offers potential to measure air pollution at an unprecedented scale and scope, providing a more comprehensive picture of air pollution across Oxford than has previously been possible. Data obtained before, during and after relevant COVID-19 restrictions have been used to understand impacts upon road traffic, air and noise pollution\r\nlevels and to assess implications for healthy life expectancy and therefore human health. This information will be used to provide an evidence-base for air quality policy within local authorities, public agencies and national Government.", "keywords": "nitrogen dioxide, NO2, particles, oxaria", "publicationState": "preview", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/39830/?format=api", "dataPath": "/badc/deposited2023/oxaria_2020_2022/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 32989121339, "numberOfFiles": 11, "fileFormat": "Data are CSV formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11019/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3783/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the National Institute for Health Research (NIHR) and the Natural Environmental Research Council (NERC) grant funded research and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/39837/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193962/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193963/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193964/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193965/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193966/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193967/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193968/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193969/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193971/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193970/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193972/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193973/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193974/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193975/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193976/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/39836/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [] }